package com.swago.baseswago.activity

import com.alibaba.android.arouter.facade.annotation.Autowired
import com.alibaba.android.arouter.facade.annotation.Route
import com.alibaba.android.arouter.launcher.ARouter
import com.swago.baseswago.constant.ARouteConstant
import com.swago.baseswago.databinding.ActivityWebBinding

/**
 *@date 2021/8/30 10:19
 *description:
 */
@Route(path = ARouteConstant.Base.webView)
class WebViewActivity : BaseXActivity<ActivityWebBinding>() {

    @Autowired
    @JvmField
    var url = ""

    @Autowired
    @JvmField
    var title = ""

    override fun loadData() {
    }

    override fun initOther() {
        ARouter.getInstance().inject(this)
        setBackView(binding.toolbar.ivBack)
        binding.toolbar.tvTitle.text = title
        binding.webView.loadUrl(url)
    }

    override fun initLiveData() {}
}